# PACKAGE GEOMETRI

**PACKAGE GEOMETRI** Paket Python ini menyediakan berbagai fungsi matematika untuk menghitung berbagai sifat geometri dari berbagai bentuk tiga dimensi seperti bola, kerucut, kubus, balok, limas, prisma, dan tabung.

### Fitur Utama

- **Bola**:

  - Menghitung volume bola berdasarkan jari-jari.
  - Menghitung luas permukaan bola berdasarkan jari-jari.
  - Menghitung jari-jari bola berdasarkan volume.
  - Menghitung jari-jari bola berdasarkan luas permukaan.
  - Menghitung massa bola berdasarkan jari-jari dan densitas.

- **Kerucut**:

  - Menghitung volume kerucut berdasarkan jari-jari alas dan tinggi.
  - Menghitung luas permukaan kerucut berdasarkan jari-jari alas dan tinggi.
  - Menghitung luas alas kerucut.
  - Menghitung garis pelukis kerucut.
  - Menghitung luas selimut kerucut.
  - Menghitung tinggi kerucut berdasarkan jari-jari alas dan garis pelukis.
  - Menghitung jari-jari alas kerucut berdasarkan tinggi dan garis pelukis.
  - Menghitung keliling alas kerucut.
  - Menghitung tangensial dari sudut puncak kerucut.
  - Menghitung sudut alas kerucut dalam derajat.
  - Menghitung nilai tan dari sudut dalam derajat.

- **Kubus dan Balok**:

  - Menghitung volume kubus.
  - Menghitung luas permukaan kubus.
  - Menghitung keliling kubus.
  - Menghitung panjang diagonal sisi kubus.
  - Menghitung panjang diagonal ruang kubus.
  - Menghitung luas satu sisi kubus.
  - Menghitung keliling satu sisi kubus.
  - Menghitung jumlah panjang seluruh rusuk kubus.
  - Menghitung volume balok.
  - Menghitung keliling balok.
  - Menghitung luas permukaan balok.
  - Menghitung diagonal ruang balok.
  - Menghitung luas diagonal balok.

- **Limas**:

  - Volume dan luas permukaan limas segitiga, segiempat, segilima, dan segienam.
  - Menghitung tinggi dan keliling alas limas.
  - Menghitung luas permukaan samping limas.

- **Prisma**:

  - Menghitung keliling
  - Menghitung Luas alas segi lima beraturan.
  - Menghitung luas permukaan 
  - Menghitung volume prisma segi lima.

- **Tabung**:
  - Menghitung luas permukaan tabung.
  - Menghitung keliling alas tabung.
  - Menghitung volume tabung.
  - Menghitung luas selimut tabung.
  - Menghitung tinggi, diameter, dan jari-jari berdasarkan parameter tertentu.
  - Membandingkan dua tabung berdasarkan parameter tertentu.
  - Menghitung rasio volume terhadap luas permukaan tabung.
  - Menghitung total panjang kawat bingkai tabung.
  - Menghitung biaya pembuatan tabung berdasarkan luas permukaan dan harga material.
  - Menghitung optimasi volume dengan luas terbatas
  - Mengecek kapasitas tabung
  - Konversi volume ke liter
  - Memeriksa validasi dimensi tabung 

## Instalasi

Untuk menginstal library ini, Anda bisa menggunakan `pip` dengan perintah berikut:

```bash
pip install geometri-package

```
